import React from 'react'
import { ComponentStory, ComponentMeta } from '@storybook/react'

import ToDoItem from './ToDoItem'

// More on default export: https://storybook.js.org/docs/react/writing-stories/introduction#default-export
export default {
  title: 'Example/ToDoItem',
  component: ToDoItem,
  // More on argTypes: https://storybook.js.org/docs/react/api/argtypes
  argTypes: {
    backgroundColor: { control: 'color' },
  },
} as ComponentMeta<typeof ToDoItem>

// More on component templates: https://storybook.js.org/docs/react/writing-stories/introduction#using-args
const Template: ComponentStory<typeof ToDoItem> = (args) => (
  <ToDoItem {...args} />
)

export const Primary = Template.bind({})
// More on args: https://storybook.js.org/docs/react/writing-stories/args
Primary.args = {
  id: 1,
  description: 'Item 1',
  completed: false,
  toggleTodo: () => console.log('Changed toggle'),
  removeTodo: () => console.log('Deleted item'),
}
