import ToDoItem from '../todo-item/ToDoItem'
import { useDispatch, useSelector } from 'react-redux'
import { AppDispatch, RootState } from '../../redux/store'
import { removeTodo, setTodoStatus } from '../../redux/todoSlice'
import { ToDo } from '../../models/ToDo'

const TodoList = () => {
  const todoList = useSelector((state: RootState) => state)
  const dispatch = useDispatch<AppDispatch>()

  const removeTodoItem = (id: number): void => {
    dispatch(removeTodo(id))
  }

  const toggleTodo = (id: number): void => {
    let item = todoList.filter((todo: ToDo) => todo.id === id)[0]
    dispatch(setTodoStatus({ completed: !item.completed, id: item.id }))
  }

  return (
    <div>
      {todoList.map((todo: ToDo) => (
        <ToDoItem
          key={todo.id}
          removeTodo={removeTodoItem}
          toggleTodo={toggleTodo}
          {...todo}
        />
      ))}
    </div>
  )
}

export default TodoList
