import i18next from "i18next";
import { initReactI18next } from "react-i18next";

import translationEnglish from "./english/translation.json";
import translationSpanish from "./spanish/translation.json";
import translationUkrainian from "./ukrainian/translation.json";

import buttonsEn from "./english/buttons.json";
import buttonsSp from "./spanish/buttons.json";
import buttonsUa from "./ukrainian/buttons.json";

const resources = {
    en: {
        home: translationEnglish,
        buttons: buttonsEn,
    },
    es: {
        home: translationSpanish,
        buttons: buttonsSp,
    },
    ua: {
        home: translationUkrainian,
        buttons: buttonsUa,
    },
}

i18next
.use(initReactI18next)
.init({
  resources,
  lng:"en", //default language
});

export default i18next;